-- GSI - general sound interface
-- gsi_commands.e
--
-- Copyright (C) W.H.Scholten 1996,1997,1998
--
-- License: CGPL (see the file LICENSE.CGPL)
--

class GSI_COMMANDS
   -- ** Sound server command specification 0.31 **
feature
   SND_OPEN_SERVER : INTEGER is  255
   SND_CLOSE_SERVER : INTEGER is  254
   SND_PAUSE_ALL : INTEGER is  253
   SND_CONTINUE_ALL : INTEGER is  252
   SND_USE_BEST_DSP_SETTINGS : INTEGER is  248
   SND_SET_DSP_SPEED : INTEGER is  247
   SND_SET_CHANNELS : INTEGER is  246
   SND_SET_BYTES : INTEGER is  245
   SND_SET_FRAGSIZE : INTEGER is  244
   SND_GRAB_DSP : INTEGER is  243
   SND_RELEASE_DSP : INTEGER is  242
   SND_AUTO_DSP : INTEGER is  241
   SND_GRAB_SYNTH : INTEGER is  240
   SND_RELEASE_SYNTH : INTEGER is  239
   SND_AUTO_SYNTH : INTEGER is  238
   SND_SET_BASE_WIDTH : INTEGER is  237
   SND_SET_MAX_AUTO_CHANNELS : INTEGER is  231
   SND_CALLBACK_ON : INTEGER is  230
   SND_CALLBACK_OFF : INTEGER is  229
   SND_LOAD_SOUND_LIST : INTEGER is  223
   SND_FREE_SOUND_LIST : INTEGER is  222
   SND_LOAD_LISTED : INTEGER is  221
   SND_FREE_LISTED : INTEGER is  220
   SND_LOAD_SOUND : INTEGER is  219
   SND_LOAD_SOUND_FILE : INTEGER is  218
   SND_LOAD_SOUND_DATA : INTEGER is  217
   SND_SET_SLOT_INFO : INTEGER is  228
   SND_GET_SLOT_INFO : INTEGER is  227
   SND_FREE_SOUND : INTEGER is  216
   SND_SET_SOUND_DIR : INTEGER is  215
   SND_AUTO_FREE_SOUND : INTEGER is  214
   SND_SET_SOUND_TRANSFORM : INTEGER is  207
   SND_SET_SOUND : INTEGER is  206
   SND_SET_STREAM_SIZE : INTEGER is  205
   SND_LOCK_SOUNDS : INTEGER is  204
   SND_UNLOCK_SOUNDS : INTEGER is  203
   SND_LOAD_PATCH_DATA : INTEGER is  199
   SND_LOAD_PATCH_FILE : INTEGER is  198
   SND_LOAD_SONG_DATA : INTEGER is  197
   SND_LOAD_SONG_FILE : INTEGER is  196
   SND_SET_SOUND_SPEED : INTEGER is  195

   SND_PLAY : INTEGER is  0
   SND_OVERWRITE : INTEGER is  1
   SND_REPEAT : INTEGER is  2
   SND_OVERWRITE_REPEAT : INTEGER is  3
   SND_LOOP : INTEGER is  4
   SND_OVERWRITE_LOOP : INTEGER is  5
   SND_PLAY_WAVE : INTEGER is  7
   SND_KILL : INTEGER is  13
   SND_PAUSE : INTEGER is  14
   SND_CONTINUE : INTEGER is  15
   SND_CHANNEL : INTEGER is  16
   SND_CHANNEL_PLAY : INTEGER is  16
   SND_CHANNEL_REPEAT : INTEGER is  17
   SND_CHANNEL_OVERWRITE : INTEGER is  18
   SND_CHANNEL_OVERWRITE_REPEAT : INTEGER is  19
   SND_CHANNEL_KILL : INTEGER is  29
   SND_CHANNEL_PAUSE : INTEGER is  30
   SND_CHANNEL_CONTINUE : INTEGER is  31

   SND_KILLALL : INTEGER is  32

   SND_PLAY_SONG : INTEGER is  36
   SND_STOP_SONG : INTEGER is  37
   SND_CONTINUE_SONG : INTEGER is  38
   SND_MIDI_CONTROL : INTEGER is  39

   SND_SET_O_X : INTEGER is  45
   SND_SET_O_Z : INTEGER is  46
   SND_SET_O_Y : INTEGER is  47
   SND_SET_O_ANGLE : INTEGER is  48
   SND_SET_O_FI : INTEGER is  48
   SND_SET_O_THETA : INTEGER is  49
   SND_SET_O_R : INTEGER is  50
   SND_ADJUST_O_X : INTEGER is  51
   SND_ADJUST_O_Z : INTEGER is  52
   SND_ADJUST_O_Y : INTEGER is  53
   SND_ADJUST_O_FI : INTEGER is  54
   SND_ADJUST_O_THETA : INTEGER is  55
   SND_ADJUST_O_R : INTEGER is  56
   SND_SET_O_DX : INTEGER is  57
   SND_SET_O_DZ : INTEGER is  58
   SND_SET_O_DY : INTEGER is  59
   SND_O_ECHO_ON : INTEGER is  60
   SND_O_ECHO_OFF : INTEGER is  61
   SND_O_DOPPLER_ON : INTEGER is  62
   SND_O_DOPPLER_OFF : INTEGER is  63

   SND_CURRENT : INTEGER is  32

   SND_SET_X : INTEGER is  64
   SND_SET_Z : INTEGER is  65
   SND_SET_Y : INTEGER is  66
   SND_SET_ANGLE : INTEGER is  67
   SND_SET_ANGLE_R : INTEGER is  68
   SND_SET_FI : INTEGER is  67
   SND_SET_THETA : INTEGER is  69
   SND_SET_R : INTEGER is  70
   SND_SET_PAN : INTEGER is  71
   SND_ADJUST_X : INTEGER is  72
   SND_ADJUST_Z : INTEGER is  73
   SND_ADJUST_Y : INTEGER is  74
   SND_ADJUST_ANGLE : INTEGER is  75
   SND_ADJUST_ANGLE_R : INTEGER is  76
   SND_ADJUST_FI : INTEGER is  75
   SND_ADJUST_THETA : INTEGER is  77
   SND_ADJUST_R : INTEGER is  78
   SND_SET_CHANNEL_X : INTEGER is  80
   SND_SET_CHANNEL_Z : INTEGER is  81
   SND_SET_CHANNEL_Y : INTEGER is  82
   SND_SET_CHANNEL_ANGLE : INTEGER is  83
   SND_SET_CHANNEL_ANGLE_R : INTEGER is  84
   SND_SET_CHANNEL_FI : INTEGER is  83
   SND_SET_CHANNEL_THETA : INTEGER is  85
   SND_SET_CHANNEL_R : INTEGER is  86
   SND_SET_CHANNEL_PAN : INTEGER is  87
   SND_ADJUST_CHANNEL_X : INTEGER is  88
   SND_ADJUST_CHANNEL_Z : INTEGER is  89
   SND_ADJUST_CHANNEL_Y : INTEGER is  90
   SND_ADJUST_CHANNEL_ANGLE : INTEGER is  91
   SND_ADJUST_CHANNEL_ANGLE_R : INTEGER is  92
   SND_ADJUST_CHANNEL_FI : INTEGER is  91
   SND_ADJUST_CHANNEL_THETA : INTEGER is  93
   SND_ADJUST_CHANNEL_R : INTEGER is  94
   SND_SET_DX : INTEGER is  128
   SND_SET_DZ : INTEGER is  129
   SND_SET_DY : INTEGER is  130
   SND_ECHO_ON : INTEGER is  131
   SND_ECHO_OFF : INTEGER is  132
   SND_DOPPLER_ON : INTEGER is  133
   SND_DOPPLER_OFF : INTEGER is  134
   SND_SET_USE_ENVELOPE : INTEGER is  135
   SND_SET_VOLUME : INTEGER is  136
   SND_SET_SAMPLE_START : INTEGER is  142
   SND_SET_TIME_START : INTEGER is  143
   SND_SET_CHANNEL_DX : INTEGER is  144
   SND_SET_CHANNEL_DZ : INTEGER is  145
   SND_SET_CHANNEL_DY : INTEGER is  146
   SND_CHANNEL_ECHO_ON : INTEGER is  147
   SND_CHANNEL_ECHO_OFF : INTEGER is  148
   SND_CHANNEL_DOPPLER_ON : INTEGER is  149
   SND_CHANNEL_DOPPLER_OFF : INTEGER is  150
   SND_SET_CHANNEL_ENVELOPE : INTEGER is  151
   SND_SET_CHANNEL_VOLUME : INTEGER is  152
   SND_SET_CHANNEL_SAMPLE_START : INTEGER is  158
   SND_SET_CHANNEL_TIME_START : INTEGER is  159
	 --   SND_ENVELOPE : STRING is  ??
	 --   SND_MAKE_ENVELOPE : STRING is  ??

   SND_BIT_CHANNEL_X : INTEGER is  1
   SND_BIT_CHANNEL_Z : INTEGER is  4
   SND_BIT_CHANNEL_Y : STRING is  ?
   SND_BIT_OBSERVER_X : INTEGER is  16
   SND_BIT_OBSERVER_Z : INTEGER is  64
	 --   SND_BIT_OBSERVER_Y : STRING is  ??
	 --   SND_BIT_OBSERVER_ANGLE : STRING is  ??
   SND_BIT_CHANNEL_ECHO : INTEGER is  256
   SND_BIT_ALL_ECHO : INTEGER is  512
   SND_BIT_CHANNEL_DOPPLER : INTEGER is  1024
   SND_BIT_ALL_DOPPLER : INTEGER is  2048
   SND_BIT_NOISE : INTEGER is  4096
   SND_BIT_ENVELOPE : INTEGER is  8192

   GSI_EVENT_CHANNEL_START : INTEGER is  1
   GSI_EVENT_CHANNEL_END : INTEGER is  2
   GSI_EVENT_SONG_START : INTEGER is  4
   GSI_EVENT_SONG_END : INTEGER is  8
   GSI_EVENT_SONG_ERROR : INTEGER is  16
   GSI_EVENT_MIDI_INFO : INTEGER is  32

   GSI_CALLBACK_OK : INTEGER is  0
   GSI_CALLBACK_ERROR : INTEGER is  1
   GSI_CALLBACK_NO_SUCH_FILE : INTEGER is  2
   GSI_CALLBACK_BAD_LIST : INTEGER is  3
   GSI_CALLBACK_BAD_COMMAND : INTEGER is  4
   GSI_CALLBACK_DSP_BUSY : INTEGER is  5
   GSI_CALLBACK_SYNTH_BUSY : INTEGER is  6
   GSI_CALLBACK_CD_BUSY : INTEGER is  7
   GSI_CALLBACK_NO_PATCH_SPACE : INTEGER is  20
   GSI_CALLBACK_CHANNEL_STARTED : INTEGER is  32
   GSI_CALLBACK_CHANNEL_END : INTEGER is  33
   GSI_CALLBACK_CHANNEL_ENDALL : INTEGER is  34
   GSI_CALLBACK_SONG_STARTED : INTEGER is  39
   GSI_CALLBACK_SONG_END : INTEGER is  40
   GSI_CALLBACK_SERVER_KILLED : INTEGER is  255

   GSI_8BIT_MULAW : INTEGER is  1
   GSI_8BIT : INTEGER is  2
   GSI_16BIT : INTEGER is  3

   GSI_MONO : INTEGER is  1
   GSI_STEREO : INTEGER is  2

   GSI_MASTER_VOLUME : INTEGER is  0
   GSI_DSP_VOLUME : INTEGER is  1
   GSI_SYNTH_VOLUME : INTEGER is  2
   GSI_CD_VOLUME : INTEGER is  3
end
